# Uses of Class
it.tdlight.jni.TdApi.Document

## Uses of TdApi.Document in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Document
Modifier and Type
Field
Description
`TdApi.Document`
TdApi.Background.`document`
Document with the background; may be null.
`TdApi.Document`
TdApi.InlineQueryResultDocument.`document`
Document.
`TdApi.Document`
TdApi.MessageDocument.`document`
The document description.
`TdApi.Document`
TdApi.PushMessageContentDocument.`document`
Message content; may be null.
`TdApi.Document`
TdApi.RichTextIcon.`document`
The image represented as a document.
`TdApi.Document`
TdApi.WebPage.`document`
Preview of the content as a document, if available; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.Document
Modifier
Constructor
Description
``
`Background(long id, boolean isDefault, boolean isDark, String name, TdApi.Document document, TdApi.BackgroundType type)`
Describes a chat background.
``
`InlineQueryResultDocument(String id, TdApi.Document document, String title, String description)`
Represents a document.
``
`MessageDocument(TdApi.Document document, TdApi.FormattedText caption)`
A document message (general file).
``
`PushMessageContentDocument(TdApi.Document document, boolean isPinned)`
A document message (a general file).
``
`RichTextIcon(TdApi.Document document, int width, int height)`
A small image inside the text.
``
`WebPage(String url, String displayUrl, String type, String siteName, String title, TdApi.FormattedText description, TdApi.Photo photo, String embedUrl, String embedType, int embedWidth, int embedHeight, int duration, String author, boolean hasLargeMedia, boolean showLargeMedia, boolean skipConfirmation, boolean showAboveText, TdApi.Animation animation, TdApi.Audio audio, TdApi.Document document, TdApi.Sticker sticker, TdApi.Video video, TdApi.VideoNote videoNote, TdApi.VoiceNote voiceNote, long storySenderChatId, int storyId, int instantViewVersion)`
Describes a link preview.